package mi.hdm.recipes;

public interface RecipeComponent {

    String getName();

    NutritionTable getNutritionTable();

    Measurement getMeasurement();

    /**
     * The code is generated using by hashing fields of the object. It will be generated on object creation and never change.
     *
     * @return Recipes will return "r"+hash, ingredients will return "i"+hash
     */
    String getUniqueCode();

    @Override
    boolean equals(Object o);
}
